%define		plugin	check_logfiles
%include	/usr/lib/rpm/macros.perl
Summary:	Check log files for specific patterns
Name:		nagios-plugin-%{plugin}
Version:	3.7.1.4
Release:	1
License:	GPL v2
Group:		Applications
Source0:	https://labs.consol.de/assets/downloads/nagios/%{plugin}-%{version}.tar.gz
# Source0-md5:	c9ea73f8b420bafb9ffe0ecaf47b6207
Source1:	check_logfiles.cfg
URL:		https://labs.consol.de/nagios/check_logfiles/
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	nagios-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir		/etc/nagios/plugins
%define		plugindir		%{_prefix}/lib/nagios/plugins
%define		trusted_path	/bin:/sbin:/usr/bin:/usr/sbin

# just to fool configure, nothing arch specific actually
%if "%{_host_cpu}" != "x32"
%define		_target_platform	%{_host}
%endif

%description
check_logfiles is a Plugin for Nagios which scans log files for
specific patterns.

%prep
%setup -q -n %{plugin}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-perl=%{__perl} \
	--with-gzip=%{__gzip} \
	--with-seekfiles-dir=/tmp \
	--with-protocols-dir=/tmp \
	--with-trusted-path="%{trusted_path}" \
	--with-nagios-user=nagios \
	--with-nagios-group=nagios \
	--libexec=%{plugindir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog TODO
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%changelog
* Fri Aug 21 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_logfiles.git;a=log;h=master

* Fri Aug 21 2015 Elan Ruusamäe <glen@delfi.ee> fe01b21
- up to 3.7.1.4

* Fri Aug 07 2015 Elan Ruusamäe <glen@delfi.ee> cdd0f11
- different x32 fix

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> ba7edd3
- fix x32 build

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 246ab3e
- up to 3.7.1.1

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> d1afc05
- move trusted path as rpm macro, to prevent adapter errors

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 476e8aa
- move .cfg file to separate file

* Wed Nov 26 2008 Elan Ruusamäe <glen@pld-linux.org> cb97e13
- R: nagios-core

* Wed Nov 26 2008 Elan Ruusamäe <glen@pld-linux.org> e8737a3
- new

